## kdeclarative 5.86.0

=== debian/changelog ===
kdeclarative (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:47:08 +0100

kdeclarative (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)
  * New required qml module package qml-module-org-kde-graphicaleffects.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:25:58 +0100

kdeclarative (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 08:59:18 +0100

kdeclarative (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:16:11 +0100

kdeclarative (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:55:41 +0100

kdeclarative (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:28:22 +0100
