=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_build:
	sed -i s/arch=!armel/optional=meh/ debian/libkf5declarative5.symbols
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	sed -i s/optional=meh/arch=!armel/ debian/libkf5declarative5.symbols

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	#xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test --no-parallel
endif
